$(function() {
	
    //选择时间
    $(".js_table").on("click", ".js_tdbox", choiceTime);
   
})

// 排序
function sortNumber(a,b){
    return a - b
}
function removeByValue(arr, val) {
  for(var i=0; i<arr.length; i++) {
    if(arr[i] == val) {
      arr.splice(i, 1);
      break;
    }
  }
}
 /*
 * 点击选择框表示选择时间，被选中的不能选择提示“该资源已被占用”，
 * 判断不能跳跃选择，否则提示“请选择连续的时间段”
 * 跨行选择要把上一次选择的那一行清除从新计算选择时间段
 * 点击选中的头尾，在点击一次可以取消选择
 * 获取选择的时间段
 */

var timeArr = []; //存储选择的时间
var timeArrs = []; //存储选择的时间
var contentStart = "";
var contentEnd = "";
function choiceTime(){
    var _this = $(this);
    var _index = _this.parent().index();
    contentEnd = _this.parents("tr").index();
    
    //判断是否可以选择 
    if(!_this.hasClass("js_choisen")) {
        //判断是否是连续的时间
        var continuity = !((timeArr[timeArr.length-1] + 1) - _index) || !((timeArr[0] - 1) -_index);
        var equalVal = !(timeArr[timeArr.length-1] - _index) || !(timeArr[0] -_index);
        // 判断是否是同一行
        if(timeArr.length >= 1 && contentEnd != contentStart) {
            timeArr.splice(0, timeArr.length);//清空数组
            $(".js_tdbox").removeClass("box-choice");
        }
        //判断是否是连续或者不是同一行
        if(continuity || contentEnd != contentStart){
            timeArr.push(_index); //存储下标
            timeArr.sort(sortNumber); //排序
            _this.addClass("box-choice");
            timeArrs.push($(this).parent().attr("id")); //存储id的值
        } else if(!_this.hasClass("box-choice") && contentEnd == contentStart){
            alert("请选择连续的时间段");
        } else if (equalVal && _this.hasClass("box-choice")) {
            removeByValue(timeArr, _index);
            _this.removeClass("box-choice");
        };
       
//        console.log(timeArrs);
//        console.log(timeArr);
    } else {
        alert("该资源已被占用");
    }
    //储存时间
    $("#timeArrs").val(timeArrs);
    
    contentStart = contentEnd;
}

// 计算时间
function choiceSumTime(){
//	$(".td").eq(index).attr("id")
    var timeStart = $(".js_tdbox").eq(timeArr[0] - 1).attr("timestart");
    var timeEnd = $(".js_tdbox").eq(timeArr[timeArr.length - 1] - 1).attr("timeend");
    console.log(timeStart + "~" + timeEnd, timeArr[0], timeArr[timeArr.length - 1]);
}

//场地预定
function addSiteApplication(siteId,siteName,organizationId,organizationName,buildingName,buildingId){
	var dateTime = $("#dateTime").val();
	var arrs = $("#timeArrs").val();
    window.location.href="../siteApplication/findAddSiteApplication?siteId="+siteId+"&buildingId="+buildingId+"&dateTime="+dateTime+
    "&siteName="+siteName+"&organizationName="+organizationName+"&buildingName="+buildingName+"&organizationId="+organizationId+"&timeArrs="+arrs;
}
